Onerway
POST

Card transaction event

Webhook URL
Use this webhook to receive card transaction events.

Webhook payload fields

request_id
Unique event identifier for deduplication.
event_type
Event type identifier.
Constraints
Values
Fixed to issuing.cardTransactionEvent for this webhook.
created_at
Event creation time in ISO 8601 format.
version
Webhook API version selected when the subscription is created.
Card transaction event business data.

Webhook example

{
  "request_id": "replace_with_event_id",
  "event_type": "issuing.cardTransactionEvent",
  "created_at": "2026-01-01T00:00:00Z",
  "version": "1.0",
  "data": {
    "txnType": "AUTHORIZATION",
    "txnStatus": "S",
    "txnOrderNo": "TXN20260101001",
    "originTxnOrderNo": null,
    "originTxnOrderNoForRefund": null,
    "cardId": "100001",
    "authTime": 1735689600000,
    "authorizationCode": "AUTH001",
    "authMessageDesc": "Approved",
    "transactionAmount": 50,
    "transactionCurrency": "USD",
    "transactionTime": 1735689600000,
    "cardAmount": 50,
    "cardCurrency": "USD",
    "settleAmount": 50,
    "settleCurrency": "USD",
    "settleTime": 1735776000000,
    "transactionFee": 0.5,
    "transactionFeeCurrency": "USD",
    "crossBorderFee": null,
    "crossBorderFeeCurrency": null,
    "exchangeFee": null,
    "exchangeFeeCurrency": null,
    "merchantId": "example_merchant_id",
    "merchantName": "Example Merchant",
    "merchantCountry": "United States",
    "merchantCountryCode": "US",
    "merchantStateProvince": "WA",
    "merchantCity": "Seattle",
    "merchantPostalCode": "98101",
    "merchantMccCode": "5411"
  }
}

Acknowledgement

Return HTTP 200 with respCode=20000 after the card transaction event is received and accepted. Onerway retries when the response code is not 20000.

Response body example

{
  "respCode": "20000",
  "respMsg": "success"
}